"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
/* eslint quotes: off, comma-dangle: off, quote-props: off */
var widthsMap = {
  "andale mono": {
    "0": 50,
    "1": 50,
    "2": 50,
    "3": 50,
    "4": 50,
    "5": 50,
    "6": 50,
    "7": 50,
    "8": 50,
    "9": 50,
    " ": 25,
    "!": 33,
    "\"": 41,
    "#": 50,
    "$": 50,
    "%": 83,
    "&": 78,
    "'": 18,
    "(": 33,
    ")": 33,
    "*": 50,
    "+": 56,
    ",": 25,
    "-": 33,
    ".": 25,
    "/": 28,
    ":": 28,
    ";": 28,
    "<": 56,
    "=": 56,
    ">": 56,
    "?": 44,
    "@": 92,
    "A": 72,
    "B": 67,
    "C": 67,
    "D": 72,
    "E": 61,
    "F": 56,
    "G": 72,
    "H": 72,
    "I": 33,
    "J": 39,
    "K": 72,
    "L": 61,
    "M": 89,
    "N": 72,
    "O": 72,
    "P": 56,
    "Q": 72,
    "R": 67,
    "S": 56,
    "T": 61,
    "U": 72,
    "V": 72,
    "W": 94,
    "X": 72,
    "Y": 72,
    "Z": 61,
    "[": 33,
    "\\": 28,
    "]": 33,
    "^": 47,
    "_": 50,
    "`": 33,
    "a": 44,
    "b": 50,
    "c": 44,
    "d": 50,
    "e": 44,
    "f": 33,
    "g": 50,
    "h": 50,
    "i": 28,
    "j": 28,
    "k": 50,
    "l": 28,
    "m": 78,
    "n": 50,
    "o": 50,
    "p": 50,
    "q": 50,
    "r": 33,
    "s": 39,
    "t": 28,
    "u": 50,
    "v": 50,
    "w": 72,
    "x": 50,
    "y": 50,
    "z": 44,
    "{": 48,
    "|": 20,
    "}": 48,
    "~": 54
  },
  "arial": {
    "0": 56,
    "1": 56,
    "2": 56,
    "3": 56,
    "4": 56,
    "5": 56,
    "6": 56,
    "7": 56,
    "8": 56,
    "9": 56,
    " ": 28,
    "!": 28,
    "\"": 35,
    "#": 56,
    "$": 56,
    "%": 89,
    "&": 67,
    "'": 19,
    "(": 33,
    ")": 33,
    "*": 39,
    "+": 58,
    ",": 28,
    "-": 33,
    ".": 28,
    "/": 28,
    ":": 28,
    ";": 28,
    "<": 58,
    "=": 58,
    ">": 58,
    "?": 56,
    "@": 102,
    "A": 67,
    "B": 67,
    "C": 72,
    "D": 72,
    "E": 67,
    "F": 61,
    "G": 78,
    "H": 72,
    "I": 28,
    "J": 50,
    "K": 67,
    "L": 56,
    "M": 83,
    "N": 72,
    "O": 78,
    "P": 67,
    "Q": 78,
    "R": 72,
    "S": 67,
    "T": 61,
    "U": 72,
    "V": 67,
    "W": 94,
    "X": 67,
    "Y": 67,
    "Z": 61,
    "[": 28,
    "\\": 28,
    "]": 28,
    "^": 47,
    "_": 56,
    "`": 33,
    "a": 56,
    "b": 56,
    "c": 50,
    "d": 56,
    "e": 56,
    "f": 28,
    "g": 56,
    "h": 56,
    "i": 22,
    "j": 22,
    "k": 50,
    "l": 22,
    "m": 83,
    "n": 56,
    "o": 56,
    "p": 56,
    "q": 56,
    "r": 33,
    "s": 50,
    "t": 28,
    "u": 56,
    "v": 50,
    "w": 72,
    "x": 50,
    "y": 50,
    "z": 50,
    "{": 33,
    "|": 26,
    "}": 33,
    "~": 58
  },
  "comic sans ms": {
    "0": 61,
    "1": 45,
    "2": 61,
    "3": 61,
    "4": 61,
    "5": 61,
    "6": 61,
    "7": 61,
    "8": 61,
    "9": 61,
    " ": 30,
    "!": 24,
    "\"": 42,
    "#": 84,
    "$": 69,
    "%": 82,
    "&": 65,
    "'": 39,
    "(": 37,
    ")": 37,
    "*": 53,
    "+": 48,
    ",": 28,
    "-": 42,
    ".": 25,
    "/": 51,
    ":": 30,
    ";": 30,
    "<": 38,
    "=": 51,
    ">": 38,
    "?": 52,
    "@": 93,
    "A": 73,
    "B": 63,
    "C": 60,
    "D": 72,
    "E": 62,
    "F": 61,
    "G": 68,
    "H": 77,
    "I": 55,
    "J": 67,
    "K": 61,
    "L": 55,
    "M": 88,
    "N": 80,
    "O": 80,
    "P": 52,
    "Q": 88,
    "R": 63,
    "S": 69,
    "T": 68,
    "U": 74,
    "V": 65,
    "W": 104,
    "X": 72,
    "Y": 64,
    "Z": 69,
    "[": 38,
    "\\": 55,
    "]": 38,
    "^": 58,
    "_": 63,
    "`": 56,
    "a": 51,
    "b": 59,
    "c": 51,
    "d": 59,
    "e": 55,
    "f": 51,
    "g": 53,
    "h": 58,
    "i": 28,
    "j": 40,
    "k": 54,
    "l": 27,
    "m": 78,
    "n": 52,
    "o": 53,
    "p": 53,
    "q": 52,
    "r": 48,
    "s": 49,
    "t": 47,
    "u": 52,
    "v": 49,
    "w": 68,
    "x": 59,
    "y": 52,
    "z": 54,
    "{": 37,
    "|": 42,
    "}": 37,
    "~": 60
  },
  "courier new": {
    "0": 60,
    "1": 60,
    "2": 60,
    "3": 60,
    "4": 60,
    "5": 60,
    "6": 60,
    "7": 60,
    "8": 60,
    "9": 60,
    " ": 60,
    "!": 60,
    "\"": 60,
    "#": 60,
    "$": 60,
    "%": 60,
    "&": 60,
    "'": 60,
    "(": 60,
    ")": 60,
    "*": 60,
    "+": 60,
    ",": 60,
    "-": 60,
    ".": 60,
    "/": 60,
    ":": 60,
    ";": 60,
    "<": 60,
    "=": 60,
    ">": 60,
    "?": 60,
    "@": 60,
    "A": 60,
    "B": 60,
    "C": 60,
    "D": 60,
    "E": 60,
    "F": 60,
    "G": 60,
    "H": 60,
    "I": 60,
    "J": 60,
    "K": 60,
    "L": 60,
    "M": 60,
    "N": 60,
    "O": 60,
    "P": 60,
    "Q": 60,
    "R": 60,
    "S": 60,
    "T": 60,
    "U": 60,
    "V": 60,
    "W": 60,
    "X": 60,
    "Y": 60,
    "Z": 60,
    "[": 60,
    "\\": 60,
    "]": 60,
    "^": 60,
    "_": 60,
    "`": 60,
    "a": 60,
    "b": 60,
    "c": 60,
    "d": 60,
    "e": 60,
    "f": 60,
    "g": 60,
    "h": 60,
    "i": 60,
    "j": 60,
    "k": 60,
    "l": 60,
    "m": 60,
    "n": 60,
    "o": 60,
    "p": 60,
    "q": 60,
    "r": 60,
    "s": 60,
    "t": 60,
    "u": 60,
    "v": 60,
    "w": 60,
    "x": 60,
    "y": 60,
    "z": 60,
    "{": 60,
    "|": 60,
    "}": 60,
    "~": 60
  },
  "georgia": {
    "0": 61,
    "1": 43,
    "2": 56,
    "3": 55,
    "4": 56,
    "5": 53,
    "6": 57,
    "7": 50,
    "8": 60,
    "9": 57,
    " ": 24,
    "!": 33,
    "\"": 41,
    "#": 64,
    "$": 61,
    "%": 82,
    "&": 71,
    "'": 22,
    "(": 38,
    ")": 38,
    "*": 47,
    "+": 64,
    ",": 27,
    "-": 37,
    ".": 27,
    "/": 47,
    ":": 31,
    ";": 31,
    "<": 64,
    "=": 64,
    ">": 64,
    "?": 48,
    "@": 93,
    "A": 67,
    "B": 65,
    "C": 64,
    "D": 75,
    "E": 65,
    "F": 60,
    "G": 73,
    "H": 81,
    "I": 39,
    "J": 52,
    "K": 69,
    "L": 60,
    "M": 93,
    "N": 77,
    "O": 74,
    "P": 61,
    "Q": 74,
    "R": 70,
    "S": 56,
    "T": 62,
    "U": 76,
    "V": 67,
    "W": 98,
    "X": 71,
    "Y": 62,
    "Z": 60,
    "[": 38,
    "\\": 47,
    "]": 38,
    "^": 64,
    "_": 64,
    "`": 50,
    "a": 50,
    "b": 56,
    "c": 45,
    "d": 57,
    "e": 48,
    "f": 33,
    "g": 51,
    "h": 58,
    "i": 29,
    "j": 29,
    "k": 54,
    "l": 29,
    "m": 88,
    "n": 59,
    "o": 54,
    "p": 57,
    "q": 56,
    "r": 41,
    "s": 43,
    "t": 35,
    "u": 58,
    "v": 50,
    "w": 74,
    "x": 50,
    "y": 49,
    "z": 44,
    "{": 43,
    "|": 38,
    "}": 43,
    "~": 64
  },
  "impact": {
    "0": 54,
    "1": 38,
    "2": 50,
    "3": 53,
    "4": 50,
    "5": 54,
    "6": 54,
    "7": 39,
    "8": 53,
    "9": 54,
    " ": 18,
    "!": 27,
    "\"": 37,
    "#": 63,
    "$": 55,
    "%": 69,
    "&": 58,
    "'": 19,
    "(": 31,
    ")": 31,
    "*": 28,
    "+": 53,
    ",": 17,
    "-": 29,
    ".": 18,
    "/": 40,
    ":": 20,
    ";": 20,
    "<": 53,
    "=": 53,
    ">": 53,
    "?": 52,
    "@": 77,
    "A": 51,
    "B": 55,
    "C": 55,
    "D": 55,
    "E": 42,
    "F": 40,
    "G": 55,
    "H": 56,
    "I": 29,
    "J": 33,
    "K": 54,
    "L": 38,
    "M": 72,
    "N": 54,
    "O": 55,
    "P": 50,
    "Q": 55,
    "R": 54,
    "S": 52,
    "T": 46,
    "U": 55,
    "V": 52,
    "W": 81,
    "X": 48,
    "Y": 47,
    "Z": 40,
    "[": 28,
    "\\": 40,
    "]": 28,
    "^": 48,
    "_": 55,
    "`": 33,
    "a": 50,
    "b": 52,
    "c": 49,
    "d": 52,
    "e": 51,
    "f": 29,
    "g": 52,
    "h": 52,
    "i": 27,
    "j": 28,
    "k": 48,
    "l": 27,
    "m": 77,
    "n": 52,
    "o": 51,
    "p": 52,
    "q": 52,
    "r": 36,
    "s": 47,
    "t": 30,
    "u": 52,
    "v": 44,
    "w": 67,
    "x": 43,
    "y": 45,
    "z": 35,
    "{": 37,
    "|": 27,
    "}": 37,
    "~": 52
  },
  "times new roman": {
    "0": 50,
    "1": 50,
    "2": 50,
    "3": 50,
    "4": 50,
    "5": 50,
    "6": 50,
    "7": 50,
    "8": 50,
    "9": 50,
    " ": 25,
    "!": 33,
    "\"": 41,
    "#": 50,
    "$": 50,
    "%": 83,
    "&": 78,
    "'": 18,
    "(": 33,
    ")": 33,
    "*": 50,
    "+": 56,
    ",": 25,
    "-": 33,
    ".": 25,
    "/": 28,
    ":": 28,
    ";": 28,
    "<": 56,
    "=": 56,
    ">": 56,
    "?": 44,
    "@": 92,
    "A": 72,
    "B": 67,
    "C": 67,
    "D": 72,
    "E": 61,
    "F": 56,
    "G": 72,
    "H": 72,
    "I": 33,
    "J": 39,
    "K": 72,
    "L": 61,
    "M": 89,
    "N": 72,
    "O": 72,
    "P": 56,
    "Q": 72,
    "R": 67,
    "S": 56,
    "T": 61,
    "U": 72,
    "V": 72,
    "W": 94,
    "X": 72,
    "Y": 72,
    "Z": 61,
    "[": 33,
    "\\": 28,
    "]": 33,
    "^": 47,
    "_": 50,
    "`": 33,
    "a": 44,
    "b": 50,
    "c": 44,
    "d": 50,
    "e": 44,
    "f": 33,
    "g": 50,
    "h": 50,
    "i": 28,
    "j": 28,
    "k": 50,
    "l": 28,
    "m": 78,
    "n": 50,
    "o": 50,
    "p": 50,
    "q": 50,
    "r": 33,
    "s": 39,
    "t": 28,
    "u": 50,
    "v": 50,
    "w": 72,
    "x": 50,
    "y": 50,
    "z": 44,
    "{": 48,
    "|": 20,
    "}": 48,
    "~": 54
  },
  "trebuchet ms": {
    "0": 52,
    "1": 52,
    "2": 52,
    "3": 52,
    "4": 52,
    "5": 52,
    "6": 52,
    "7": 52,
    "8": 52,
    "9": 52,
    " ": 30,
    "!": 37,
    "\"": 32,
    "#": 52,
    "$": 52,
    "%": 60,
    "&": 71,
    "'": 16,
    "(": 37,
    ")": 37,
    "*": 37,
    "+": 52,
    ",": 37,
    "-": 37,
    ".": 37,
    "/": 52,
    ":": 37,
    ";": 37,
    "<": 52,
    "=": 52,
    ">": 52,
    "?": 37,
    "@": 77,
    "A": 59,
    "B": 57,
    "C": 60,
    "D": 61,
    "E": 54,
    "F": 52,
    "G": 68,
    "H": 65,
    "I": 28,
    "J": 48,
    "K": 58,
    "L": 51,
    "M": 71,
    "N": 64,
    "O": 67,
    "P": 56,
    "Q": 68,
    "R": 58,
    "S": 48,
    "T": 58,
    "U": 65,
    "V": 59,
    "W": 85,
    "X": 56,
    "Y": 57,
    "Z": 55,
    "[": 37,
    "\\": 36,
    "]": 37,
    "^": 52,
    "_": 52,
    "`": 52,
    "a": 53,
    "b": 56,
    "c": 50,
    "d": 56,
    "e": 55,
    "f": 37,
    "g": 50,
    "h": 55,
    "i": 29,
    "j": 37,
    "k": 50,
    "l": 29,
    "m": 83,
    "n": 55,
    "o": 54,
    "p": 56,
    "q": 56,
    "r": 39,
    "s": 40,
    "t": 40,
    "u": 55,
    "v": 49,
    "w": 74,
    "x": 50,
    "y": 49,
    "z": 47,
    "{": 37,
    "|": 52,
    "}": 37,
    "~": 52
  },
  "verdana": {
    "0": 64,
    "1": 64,
    "2": 64,
    "3": 64,
    "4": 64,
    "5": 64,
    "6": 64,
    "7": 64,
    "8": 64,
    "9": 64,
    " ": 35,
    "!": 39,
    "\"": 46,
    "#": 82,
    "$": 64,
    "%": 108,
    "&": 73,
    "'": 27,
    "(": 45,
    ")": 45,
    "*": 64,
    "+": 82,
    ",": 36,
    "-": 45,
    ".": 36,
    "/": 45,
    ":": 45,
    ";": 45,
    "<": 82,
    "=": 82,
    ">": 82,
    "?": 55,
    "@": 100,
    "A": 68,
    "B": 69,
    "C": 70,
    "D": 77,
    "E": 63,
    "F": 57,
    "G": 78,
    "H": 75,
    "I": 42,
    "J": 45,
    "K": 69,
    "L": 56,
    "M": 84,
    "N": 75,
    "O": 79,
    "P": 60,
    "Q": 79,
    "R": 70,
    "S": 68,
    "T": 62,
    "U": 73,
    "V": 68,
    "W": 99,
    "X": 69,
    "Y": 62,
    "Z": 69,
    "[": 45,
    "\\": 45,
    "]": 45,
    "^": 82,
    "_": 64,
    "`": 64,
    "a": 60,
    "b": 62,
    "c": 52,
    "d": 62,
    "e": 60,
    "f": 35,
    "g": 62,
    "h": 63,
    "i": 27,
    "j": 34,
    "k": 59,
    "l": 27,
    "m": 97,
    "n": 63,
    "o": 61,
    "p": 62,
    "q": 62,
    "r": 43,
    "s": 52,
    "t": 39,
    "u": 63,
    "v": 59,
    "w": 82,
    "x": 59,
    "y": 59,
    "z": 53,
    "{": 63,
    "|": 45,
    "}": 63,
    "~": 82
  },
  "webdings": {
    "0": 100,
    "1": 100,
    "2": 100,
    "3": 100,
    "4": 100,
    "5": 100,
    "6": 100,
    "7": 100,
    "8": 100,
    "9": 100,
    " ": 100,
    "!": 100,
    "\"": 100,
    "#": 100,
    "$": 100,
    "%": 99,
    "&": 100,
    "'": 100,
    "(": 100,
    ")": 100,
    "*": 100,
    "+": 100,
    ",": 100,
    "-": 100,
    ".": 100,
    "/": 100,
    ":": 100,
    ";": 100,
    "<": 100,
    "=": 100,
    ">": 100,
    "?": 100,
    "@": 100,
    "A": 100,
    "B": 100,
    "C": 100,
    "D": 100,
    "E": 100,
    "F": 100,
    "G": 100,
    "H": 100,
    "I": 100,
    "J": 100,
    "K": 100,
    "L": 100,
    "M": 100,
    "N": 100,
    "O": 100,
    "P": 100,
    "Q": 100,
    "R": 100,
    "S": 100,
    "T": 100,
    "U": 100,
    "V": 100,
    "W": 54,
    "X": 54,
    "Y": 100,
    "Z": 100,
    "[": 100,
    "\\": 100,
    "]": 100,
    "^": 100,
    "_": 100,
    "`": 100,
    "a": 100,
    "b": 100,
    "c": 100,
    "d": 100,
    "e": 100,
    "f": 100,
    "g": 100,
    "h": 100,
    "i": 100,
    "j": 100,
    "k": 100,
    "l": 100,
    "m": 56,
    "n": 100,
    "o": 100,
    "p": 100,
    "q": 100,
    "r": 100,
    "s": 100,
    "t": 100,
    "u": 100,
    "v": 100,
    "w": 100,
    "x": 100,
    "y": 100,
    "z": 100,
    "{": 100,
    "|": 100,
    "}": 100,
    "~": 100
  }
};

exports.default = widthsMap;
module.exports = exports["default"];